4Suite™ API Documentation

# ► Module Ft

4Suite: an open-source platform for XML and RDF processing.
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtException, FtWarning |  |  |  | Functions: GetConfigVar, GetConfigVars |  |  |  | Fields: DEFAULT_ENCODING, MAX_PYTHON_RECURSION_DEPTH

## Modules

Lib | Module providing common utilities for many 4Suite components, as well as for general use.
Rdf | An RDF processing library with support for persistent data models
Server | 4Suite repository
Share | Static documents needed by various parts of 4Suite
Xml | Things commonly needed by many modules in Ft.Xml

## Classes

class FtException(exceptions.Exception)
Base class for all 4Suite-specific exceptions

### Methods

__getattr__(self, name)
__init__(self, errorCode, messages, argtuple=(), **kwargs)
errorCode = Numeric ID for the type of error. messages = Mapping of errorCodes to localized error message strings. argtuple or keyword args = Values for message string formatting.
__repr__(self)
__str__(self)

### Methods inherited from class exceptions.Exception

__getitem__

class FtWarning(exceptions.Warning)

### Methods inherited from class exceptions.Exception

__getitem__, __init__, __str__

## Functions

GetConfigVar(name)
Return the value of a single variable using the dictionary returned by 'get_config_vars()'. Equivalent to GetConfigVars().get(name)
GetConfigVars(*names)
With no arguments, return a dictionary of all configuration variables relevant for the current installation. With arguments, return a list of values that result from looking up each argument in the configuration variable dictionary.
The following are the currently defined variables and their meaning:
NAME, FULLNAME, VERSION, URL - fields as given for call to setup()
BINDIR - directory for user executables
DATADIR - directory for read-only platform-independent data
DOCDIR - directory for documentation files
LIBDIR - directory for extra libraries
LOCALEDIR - directory for message catalogs
LOCALSTATEDIR - directory for modifiable host-specific data
SYSCONFIDIR - directory for read-only host-specific data

## Fields

DEFAULT_ENCODING = 'US-ASCII'
MAX_PYTHON_RECURSION_DEPTH = 10000